View Issue Details

IDProjectCategoryView StatusLast Update
0004349SymmetricDSImprovementpublic2020-05-11 12:24
Reporterjosh-a-hicksAssigned Tojosh-a-hicks 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.11.0 
Target Version3.11.8Fixed in Version3.11.8 
Summary0004349: Pass IAlterDatabaseInterceptors through the platform to DDLBuilders
DescriptionThe IAlterDatabaseInterceptors were only available through upgrades and SymmetricDialect (sym_* tables). Adjust this so they are passed for all tables and can be utilized with extension points.

TagsNo tags attached.

Relationships

related to 0004393 closedelong Regression NPE in Postgres bulk loader factory 

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.11 8250bbc7

2020-04-16 08:59:51

josh-a-hicks

Details Diff
0004349: Pass IAlterDatabaseInterceptors through the platform to
DDLBuilders

0004349
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/load/DefaultDataLoaderFactory.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/AbstractDatabasePlatform.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/IDatabasePlatform.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/writer/DatabaseWriterSettings.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/writer/DefaultDatabaseWriter.java Diff File

Issue History

Date Modified Username Field Change
2020-04-16 08:58 josh-a-hicks New Issue
2020-04-16 08:58 josh-a-hicks Status new => assigned
2020-04-16 08:58 josh-a-hicks Assigned To => josh-a-hicks
2020-04-16 09:01 josh-a-hicks Status assigned => resolved
2020-04-16 09:01 josh-a-hicks Resolution open => fixed
2020-04-16 09:01 josh-a-hicks Fixed in Version => 3.11.8
2020-04-16 10:00 josh-a-hicks Changeset attached => SymmetricDS 3.11 8250bbc7
2020-04-21 15:02 admin Status resolved => closed
2020-05-11 12:24 elong Relationship added related to 0004393